# Uses of Class
javax.management.StringValueExp

Packages that use StringValueExp
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.

## Uses of StringValueExp in javax.management

Methods in javax.management that return StringValueExp
Modifier and Type
Method
Description
`static StringValueExp`
Query.`value​(String val)`
Returns a new string expression.
Methods in javax.management with parameters of type StringValueExp
Modifier and Type
Method
Description
`static QueryExp`
Query.`anySubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`finalSubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`initialSubString​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.
`static QueryExp`
Query.`isInstanceOf​(StringValueExp classNameValue)`
Returns a query expression that represents an inheritance constraint on an MBean class.
`static QueryExp`
Query.`match​(AttributeValueExp a, StringValueExp s)`
Returns a query expression that represents a matching constraint on a string argument.